A technical support community for Apple Logic Pro users.

 
godawful
Topic Author
Posts: 3
Joined: Sun Feb 09, 2020 4:30 pm

Need to Upgrade - Not sure where to start?

Sun Feb 09, 2020 4:52 pm

Hey all -

First of all, major apologies if this is in the incorrect forum.
So I just finished up an EP on my current set-up, and honestly the mixing process was absolute torture due to how slow and poorly performing my current set-up is (non-stop system overloads, can not tweak any plugins during playback, transport not responding) so I told myself once the project was done I was going to treat myself and start upgrading. Here's what I'm working with currently:

MacBook Pro Mid-2010 (Upgraded to 8GB RAM)
MacOS 10.8.5
Logic Pro 9.1.8 (running 32-bit)
Digi002 Rack

It's all pretty dated. I've held off for so long in fear of losing all of compatibility of plug-ins I've used over the years, however it's to the point I am willing to risk losing all of my previous work to have a better system and more consistent workflow. I've done a lot of searching around and am pretty overwhelmed by the approach I can take. Do I upgrade my MBP first? Do I update my OS and get Logic Pro X - or would I still have performance issues? I unfortunately don't have the budget to wipe the slate clean and get everything at once, and also don't want to overspend if I don't need to. I am just seeing what you all would recommend as the best way to begin upgrading?

Thanks all!
 
User avatar
triplets
Posts: 17460
Joined: Wed Sep 14, 2005 3:21 pm
Location: North Hollywood
Contact:

Re: Need to Upgrade - Not sure where to start?

Sun Feb 09, 2020 9:52 pm

Here's the deal:

32-bit Logic 9 won't use more than 3 gigs of ram, so the 8 gigs of ram you have are not being used.

With a 2010 laptop I wouldn't go further than OSX El Capitan, which is 10.11 if you wanna test Logic X. With El Capitan you're capped at Logic 10.3
Will Logic X run better? Probably not. You're really conditioned by your hardware at this point.

It's hard to get older OSX installers these days. You won't get them from Apple, that's for sure. Do you have any?
Logic Pro 9 Master Pro and X certified
ProTools 10 & 11 Certified Operator
2 x 3.06 Intel Six-Core 24 GB RAM, Logic 10.4.8, 10.14.6., UA Apollo
2012 i7 MBP 8 GB Logic 10.5.1, 10.14.6
Contact me for Logic help (Teamviewer, Zoom, Skype)
http://www.ultimatestudiosinc.com
 
godawful
Topic Author
Posts: 3
Joined: Sun Feb 09, 2020 4:30 pm

Re: Need to Upgrade - Not sure where to start?

Mon Feb 10, 2020 9:00 am

I don't currently, but I'm fairly resourceful and should be able to get El Capitan. Is Logic 9 still stable on there? I haven't upgraded OS since I've read in a couple places that 9 kind of fell apart once X was released due to lack of support.

Also, would running Logic Pro 9 in 64 bit help? I've been thinking about upgrading the 8 to 16, bad call?
 
User avatar
triplets
Posts: 17460
Joined: Wed Sep 14, 2005 3:21 pm
Location: North Hollywood
Contact:

Re: Need to Upgrade - Not sure where to start?

Mon Feb 10, 2020 11:36 am

godawful wrote:
lso, would running Logic Pro 9 in 64 bit help? I've been thinking about upgrading the 8 to 16, bad call?


Nah, 64-bit Logic 9 engages the 32-bit bridge for all the plugins and it's very unstable and crashes.

El Capitan should be ok for L9.
Try to find an early version of Logic X, like 10.0.7, which is not that hard on CPU and graphics.
Logic Pro 9 Master Pro and X certified
ProTools 10 & 11 Certified Operator
2 x 3.06 Intel Six-Core 24 GB RAM, Logic 10.4.8, 10.14.6., UA Apollo
2012 i7 MBP 8 GB Logic 10.5.1, 10.14.6
Contact me for Logic help (Teamviewer, Zoom, Skype)
http://www.ultimatestudiosinc.com
 
godawful
Topic Author
Posts: 3
Joined: Sun Feb 09, 2020 4:30 pm

Re: Need to Upgrade - Not sure where to start?

Mon Feb 24, 2020 4:27 pm

Hey all, just reporting back real quick. I've been able to upgrade to El Capitan and just trying to trouble shoot issues. The biggest issue I'm finding is I' not longer able to ReWire Reason 5. Been googling around for fixes but it's but pretty unfruitful so far. May just have to go through the process of downgrading back to 10.8.5.

Edit for more context: I’m running both in 32-bit, for some reason it is not showing Reason in selectable ReWire options and reason does not open in slave mode.